Skip to main content
Server path: /svix-messaging | Type: Application | PCID required: Yes

Tools

ToolDescription
svix_messaging_v1_endpoint_bulk_replayBulk Replay Messages
svix_messaging_v1_endpoint_createCreate Endpoint
svix_messaging_v1_endpoint_deleteDelete Endpoint
svix_messaging_v1_endpoint_getGet Endpoint
svix_messaging_v1_endpoint_get_headersGet Endpoint Headers
svix_messaging_v1_endpoint_get_secretGet Endpoint Secret
svix_messaging_v1_endpoint_get_statsEndpoint Stats
svix_messaging_v1_endpoint_listList Endpoints
svix_messaging_v1_endpoint_patchPatch Endpoint
svix_messaging_v1_endpoint_patch_headersPatch Endpoint Headers
svix_messaging_v1_endpoint_patch_transformationPatch Endpoint Transformation
svix_messaging_v1_endpoint_recoverRecover Failed Webhooks
svix_messaging_v1_endpoint_replay_missingReplay Missing Webhooks
svix_messaging_v1_endpoint_rotate_secretRotate Endpoint Secret
svix_messaging_v1_endpoint_send_exampleSend Event Type Example Message
svix_messaging_v1_endpoint_transformation_getGet Endpoint Transformation
svix_messaging_v1_endpoint_updateUpdate Endpoint
svix_messaging_v1_endpoint_update_headersUpdate Endpoint Headers
svix_messaging_v1_message_attempt_expunge_contentDelete attempt response body
svix_messaging_v1_message_attempt_getGet Attempt
svix_messaging_v1_message_attempt_list_attempted_destinationsList Attempted Destinations
svix_messaging_v1_message_attempt_list_attempted_messagesList Attempted Messages
svix_messaging_v1_message_attempt_list_by_endpointList Attempts By Endpoint
svix_messaging_v1_message_attempt_list_by_msgList Attempts By Msg
svix_messaging_v1_message_attempt_resendResend Webhook
svix_messaging_v1_message_createCreate Message
svix_messaging_v1_message_expunge_all_contentsExpunge all message contents
svix_messaging_v1_message_expunge_contentDelete message payload
svix_messaging_v1_message_getGet Message
svix_messaging_v1_message_listList Messages
svix_messaging_v1_message_poller_consumer_pollPoller Consumer Poll
svix_messaging_v1_message_poller_consumer_seekPoller Consumer Seek
svix_messaging_v1_message_poller_pollPoller Poll
svix_messaging_v1_message_precheckCreate Message Precheck

svix_messaging_v1_endpoint_bulk_replay

Bulk Replay Messages Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
endpoint_idstringYesThe Endpoint’s ID or UID.
channelstringNoThe channel value
eventTypesstring[]NoEvent Types
sincestringYesThe since value
statusintegerNoThe sending status of the message: - Success = 0 - Pending = 1 - Fail = 2 - Sending = 3
statusCodeClassintegerNoThe different classes of HTTP status codes: - CodeNone = 0 - Code1xx = 100 - Code2xx = 200 - Code3xx = 300 - Code4xx = 400 - Code5xx = 500
tagstringNoThe tag value
untilstringNoThe until value

svix_messaging_v1_endpoint_create

Create Endpoint Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
channelsstring[]NoList of message channels this endpoint listens to (omit for all).
descriptionstringNoThe description value
disabledbooleanNoThe disabled value
filterTypesstring[]NoFilter Types
headersobjectNoThe headers value
metadataobjectNoThe metadata value
rateLimitintegerNoDeprecated, use throttleRate instead.
secretstringNoThe endpoint’s verification secret. Format: base64 encoded random bytes optionally prefixed with whsec_. It is recommended to not set this and let the server generate the secret.
throttleRateintegerNoMaximum messages per second to send to this endpoint. Outgoing messages will be throttled to this rate.
uidstringNoOptional unique identifier for the endpoint.
urlstringYesThe url value

svix_messaging_v1_endpoint_delete

Delete Endpoint Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
endpoint_idstringYesThe Endpoint’s ID or UID.

svix_messaging_v1_endpoint_get

Get Endpoint Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
endpoint_idstringYesThe Endpoint’s ID or UID.

svix_messaging_v1_endpoint_get_headers

Get Endpoint Headers Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
endpoint_idstringYesThe Endpoint’s ID or UID.

svix_messaging_v1_endpoint_get_secret

Get Endpoint Secret Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
endpoint_idstringYesThe Endpoint’s ID or UID.

svix_messaging_v1_endpoint_get_stats

Endpoint Stats Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
endpoint_idstringYesThe Endpoint’s ID or UID.
sincestringNoFilter the range to data starting from this date.
untilstringNoFilter the range to data ending by this date.

svix_messaging_v1_endpoint_list

List Endpoints Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
limitintegerNoLimit the number of returned items
iteratorstringNoThe iterator returned from a prior invocation
orderstringNoThe sorting order of the returned items

svix_messaging_v1_endpoint_patch

Patch Endpoint Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
endpoint_idstringYesThe Endpoint’s ID or UID.
channelsstring[]NoThe channels value
descriptionstringNoThe description value
disabledbooleanNoThe disabled value
filterTypesstring[]NoFilter Types
metadataobjectNoThe metadata value
rateLimitintegerNoDeprecated, use throttleRate instead.
throttleRateintegerNoMaximum messages per second to send to this endpoint. Outgoing messages will be throttled to this rate.
uidstringNoThe Endpoint’s UID.
urlstringNoThe url value

svix_messaging_v1_endpoint_patch_headers

Patch Endpoint Headers Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
endpoint_idstringYesThe Endpoint’s ID or UID.
deleteHeadersstring[]NoA list of headers be be removed
headersobjectYesThe headers value

svix_messaging_v1_endpoint_patch_transformation

Patch Endpoint Transformation Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
endpoint_idstringYesThe Endpoint’s ID or UID.
codestringNoThe code value
enabledbooleanNoThe enabled value

svix_messaging_v1_endpoint_recover

Recover Failed Webhooks Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
endpoint_idstringYesThe Endpoint’s ID or UID.
sincestringYesThe since value
untilstringNoThe until value

svix_messaging_v1_endpoint_replay_missing

Replay Missing Webhooks Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
endpoint_idstringYesThe Endpoint’s ID or UID.
sincestringYesThe since value
untilstringNoThe until value

svix_messaging_v1_endpoint_rotate_secret

Rotate Endpoint Secret Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
endpoint_idstringYesThe Endpoint’s ID or UID.
keystringNoThe endpoint’s verification secret. Format: base64 encoded random bytes optionally prefixed with whsec_. It is recommended to not set this and let the server generate the secret.

svix_messaging_v1_endpoint_send_example

Send Event Type Example Message Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
endpoint_idstringYesThe Endpoint’s ID or UID.
eventTypestringYesThe event type’s name
exampleIndexintegerNoIf the event type schema contains an array of examples, chooses which one to send. Defaults to the first example. Ignored if the schema doesn’t contain an array of examples.

svix_messaging_v1_endpoint_transformation_get

Get Endpoint Transformation Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
endpoint_idstringYesThe Endpoint’s ID or UID.

svix_messaging_v1_endpoint_update

Update Endpoint Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
endpoint_idstringYesThe Endpoint’s ID or UID.
channelsstring[]NoList of message channels this endpoint listens to (omit for all).
descriptionstringNoThe description value
disabledbooleanNoThe disabled value
filterTypesstring[]NoFilter Types
metadataobjectNoThe metadata value
rateLimitintegerNoDeprecated, use throttleRate instead.
throttleRateintegerNoMaximum messages per second to send to this endpoint. Outgoing messages will be throttled to this rate.
uidstringNoOptional unique identifier for the endpoint.
urlstringYesThe url value

svix_messaging_v1_endpoint_update_headers

Update Endpoint Headers Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
endpoint_idstringYesThe Endpoint’s ID or UID.
headersobjectYesThe headers value

svix_messaging_v1_message_attempt_expunge_content

Delete attempt response body Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
msg_idstringYesThe Message’s ID or UID.
attempt_idstringYesThe MessageAttempt’s ID.

svix_messaging_v1_message_attempt_get

Get Attempt Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
msg_idstringYesThe Message’s ID or UID.
attempt_idstringYesThe MessageAttempt’s ID.

svix_messaging_v1_message_attempt_list_attempted_destinations

List Attempted Destinations Parameters:
ParameterTypeRequiredDefaultDescription
limitintegerNoLimit the number of returned items
iteratorstringNoThe iterator returned from a prior invocation
app_idstringYesThe Application’s ID or UID.
msg_idstringYesThe Message’s ID or UID.

svix_messaging_v1_message_attempt_list_attempted_messages

List Attempted Messages Parameters:
ParameterTypeRequiredDefaultDescription
limitintegerNoLimit the number of returned items
iteratorstringNoThe iterator returned from a prior invocation
channelstringNoFilter response based on the channel
tagstringNoFilter response based on the message tags
statusintegerNoFilter response based on the status of the attempt: Success (0), Pending (1), Failed (2), or Sending (3)
beforestringNoOnly include items created before a certain date
afterstringNoOnly include items created after a certain date
with_contentbooleanNoWhen true message payloads are included in the response
app_idstringYesThe Application’s ID or UID.
endpoint_idstringYesThe Endpoint’s ID or UID.
event_typesstring[]NoFilter response based on the event type

svix_messaging_v1_message_attempt_list_by_endpoint

List Attempts By Endpoint Parameters:
ParameterTypeRequiredDefaultDescription
limitintegerNoLimit the number of returned items
iteratorstringNoThe iterator returned from a prior invocation
statusintegerNoFilter response based on the status of the attempt: Success (0), Pending (1), Failed (2), or Sending (3)
status_code_classintegerNoFilter response based on the HTTP status code
channelstringNoFilter response based on the channel
tagstringNoFilter response based on the tag
beforestringNoOnly include items created before a certain date
afterstringNoOnly include items created after a certain date
with_contentbooleanNoWhen true attempt content is included in the response
with_msgbooleanNoWhen true, the message information is included in the response Note that message payloads are never included in the response, regardless of this flag.
event_typesstring[]NoFilter response based on the event type
app_idstringYesThe Application’s ID or UID.
endpoint_idstringYesThe Endpoint’s ID or UID.

svix_messaging_v1_message_attempt_list_by_msg

List Attempts By Msg Parameters:
ParameterTypeRequiredDefaultDescription
limitintegerNoLimit the number of returned items
iteratorstringNoThe iterator returned from a prior invocation
statusintegerNoFilter response based on the status of the attempt: Success (0), Pending (1), Failed (2), or Sending (3)
status_code_classintegerNoFilter response based on the HTTP status code
channelstringNoFilter response based on the channel
tagstringNoFilter response based on the tag
endpoint_idstringNoFilter the attempts based on the attempted endpoint
beforestringNoOnly include items created before a certain date
afterstringNoOnly include items created after a certain date
with_contentbooleanNoWhen true attempt content is included in the response
app_idstringYesThe Application’s ID or UID.
msg_idstringYesThe Message’s ID or UID.
event_typesstring[]NoFilter response based on the event type

svix_messaging_v1_message_attempt_resend

Resend Webhook Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
msg_idstringYesThe Message’s ID or UID.
endpoint_idstringYesThe Endpoint’s ID or UID.

svix_messaging_v1_message_create

Create Message Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
with_contentbooleanNoWhen true, message payloads are included in the response.
applicationobjectNoThe application value
channelsstring[]NoList of free-form identifiers that endpoints can filter by
deliverAtstringNoThe date and time at which the message will be delivered. Note that this time is best-effort-only. Must be at least one minute and no more than 24 hours in the future.
eventIdstringNoOptional unique identifier for the message
eventTypestringYesThe event type’s name
payloadobjectYesJSON payload to send as the request body of the webhook. We also support sending non-JSON payloads. Please contact us for more information.
payloadRetentionHoursintegerNoOptional number of hours to retain the message payload. Note that this is mutually exclusive with payloadRetentionPeriod.
payloadRetentionPeriodintegerNoOptional number of days to retain the message payload. Defaults to 90. Note that this is mutually exclusive with payloadRetentionHours.
tagsstring[]NoList of free-form tags that can be filtered by when listing messages
transformationsParamsobjectNoExtra parameters to pass to Transformations (for future use)

svix_messaging_v1_message_expunge_all_contents

Expunge all message contents Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.

svix_messaging_v1_message_expunge_content

Delete message payload Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
msg_idstringYesThe Message’s ID or UID.

svix_messaging_v1_message_get

Get Message Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
msg_idstringYesThe Message’s ID or UID.
with_contentbooleanNoWhen true message payloads are included in the response.

svix_messaging_v1_message_list

List Messages Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
limitintegerNoLimit the number of returned items
iteratorstringNoThe iterator returned from a prior invocation
channelstringNoFilter response based on the channel.
beforestringNoOnly include items created before a certain date.
afterstringNoOnly include items created after a certain date.
with_contentbooleanNoWhen true message payloads are included in the response.
tagstringNoFilter messages matching the provided tag.
event_typesstring[]NoFilter response based on the event type

svix_messaging_v1_message_poller_consumer_poll

Poller Consumer Poll Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
sink_idstringYesThe Endpoint’s ID or UID.
consumer_idstringYesConsumer Id
limitintegerNoLimit the number of returned items
iteratorstringNoThe iterator returned from a prior invocation

svix_messaging_v1_message_poller_consumer_seek

Poller Consumer Seek Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
sink_idstringYesThe Endpoint’s ID or UID.
consumer_idstringYesConsumer Id
afterstringYesThe after value

svix_messaging_v1_message_poller_poll

Poller Poll Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
sink_idstringYesThe Endpoint’s ID or UID.
limitintegerNoLimit the number of returned items
iteratorstringNoThe iterator returned from a prior invocation
event_typestringNoFilters messages sent with this event type (optional).
channelstringNoFilters messages sent with this channel (optional).
afterstringNoThe after value

svix_messaging_v1_message_precheck

Create Message Precheck Parameters:
ParameterTypeRequiredDefaultDescription
app_idstringYesThe Application’s ID or UID.
channelsstring[]NoThe channels value
eventTypestringYesThe event type’s name